image: python:3.7

stages:
  - test
  - deploy

test:
  image: docker
  stage: test
  services:
    - docker:dind
  before_script:
  - docker info
  - apk update
  - apk upgrade
  - apk add python python-dev py-pip build-base
  - pip install docker-compose==1.23
  script:
    - docker-compose run --rm web sh /code/run_tests.sh
  coverage: '/TOTAL.+ ([0-9]{1,3}%)/'

pip:
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - pip install twine
    - gem install dpl
    - python setup.py sdist
    - dpl --provider=pypi --user=$PIP_USERNAME --password=$PIP_PASSWORD --skip_existing=true
  only:
  - master
